Bug 994256 - gnome: switching to other window with alt-esc does not change mouse focus
gnome: switching to other window with alt-esc does not change mouse focus
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 17:57 EDT by Edgar Hoch
Modified: 2015-02-17 11:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:37:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2013-08-06 17:57:04 EDT
Description of problem:
Switching to another window on the same workspace using the keys alt and escape together (alt-esc) multible times (holding the alt key and pressing the esc key multible times) works wrong. It raises the next window (in the virtual window chain), but if the mouse cursor is over that next window, then this window get no mouse focus, only keyboard focus, and the border of the window is shadowed.

When esc and alt keys are released, you can type text in the selected, border shadowed window (for example, if it is a terminal). But as soon as you klick with the mouse, this window goes behind the previous one and the old, previous window is in the forground and has (again) focus of mouse and keyboard.

This appears with gsetting org.gnome.desktop.wm.preferences focus-mode set to 'mouse' or 'sloppy'.


Version-Release number of selected component (if applicable):
Fedora 19 x86_64 with current updates.
gnome-shell-3.8.3-3.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Log in using gnome.
2. Execute "gsetting set org.gnome.desktop.wm.preferences focus-mode 'sloppy'"
3. Open (at least) three windows (e.g. terminals):
   - two of them must overlap , one must not overlap with other windows
   - for example, place two windows in the left half part of the screen, nearly same size, overlapping each other, slightly staggered, and place the third window on the right half of the screen.
4. Place the mouse cursor over the middle of the left half of the screen.
5. Press key [alt] and hold it, and press key [esc] at least three times (if this workspace has (only) three windows).
6. Release keys [esc] and [alt].
7. Type something on the keyboard and see what happen. Don't klick or move the mouse.
8. Klick the mouse (the mouse cursor should still be over the overlapping windows), and see what happen.
9. Again type something on the keyboard and see what happen.


Actual results:
In step 7 keyboard focus is on the new selected window (that which was previously behind the other).
The new selected window has a shadowed boarder and is in the foreground.
In step 8 the new selected window changes in behind the original forground window, all borders are normal. Selection of keyboard and mouse is (again) on the original forground window, as you can see in step 9.

Expected results:
In step 7 the new selected window should be in the forground, have normal borders and have focus of keyboard and mouse. Step 8 and 9 does not change the window ordering and focus in any way.
Comment 1 Fedora End Of Life 2015-01-09 14:19:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:37:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.